# -*- coding: utf-8 -*-

import re


def isAsciiAlphaOrUnderscore(x: str, _only="[a-zA-Z0-9_]") -> bool:
    """check if string x contains only characters from [a-zA-Z0-9_] regex"""
    return re.match(_only, x)
